| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes | List of all members
Gaudi::IDataConnection Class Referenceabstract

ABC describing basic data connection. More...

`#include <GaudiUtils/IIODataManager.h>`

Inheritance diagram for Gaudi::IDataConnection:
[legend]
Collaboration diagram for Gaudi::IDataConnection:
[legend]

## Public Types
enum | IoType { READ =1<<1, UPDATE =1<<2, CREATE =1<<3, RECREATE =(1<<4)+(1<<3) }
| I/O Connection types. More...
enum | IoStatus { BAD_DATA_CONNECTION =4 }
| Status Code on bad file connection. More...

## Public Member Functions
| IDataConnection (const IInterface *own, std::string nam)
| Standard constructor. More...
virtual | ~IDataConnection ()=default
| Standard destructor. More...
const std::string & | name () const
| Connection name. More...
void | setFID (std::string fid)
| Set file ID. More...
const std::string & | fid () const
| Access file id. More...
const std::string & | pfn () const
| Access physical file name. More...
void | setPFN (std::string fn)
| Set physical file name. More...
int | ageFile ()
| Increase age of I/O source. More...
void | resetAge ()
| Reset age. More...
int | age () const
| Access age counter. More...
const IInterface * | owner () const
| Owner instance. More...
virtual StatusCode | connectRead ()=0
| Open data stream in read mode. More...
virtual StatusCode | connectWrite (IoType type)=0
| Open data stream in write mode. More...
virtual StatusCode | disconnect ()=0
| Release data stream. More...
virtual bool | isConnected () const =0
| Check if connected to data source. More...
virtual StatusCode | read (void *const data, size_t len)=0
| Read raw byte buffer from input stream. More...
virtual StatusCode | write (const void *data, int len)=0
| Write raw byte buffer to output stream. More...
virtual long long int | seek (long long int where, int origin)=0
| Seek on the file described by ioDesc. Arguments as in ::seek() More...

## Protected Attributes
std::string | m_name
| Connection name/identifier. More...
std::string | m_fid
| File ID of the connection. More...
std::string | m_pfn
| Physical file name of the connection. More...
int | m_age = 0
| Age counter. More...
const IInterface * | m_owner = nullptr
| Owner pointer. More...

## Detailed Description

ABC describing basic data connection.

Author
  M.Frank

Version
  1.0

Date
  20/10/2007

Definition at line 24 of file IIODataManager.h.

## Member Enumeration Documentation

enum Gaudi::IDataConnection::IoStatus

Status Code on bad file connection.

Enumerator
BAD_DATA_CONNECTION |

Definition at line 40 of file IIODataManager.h.

40 { BAD_DATA_CONNECTION=4 };
Gaudi::IDataConnection::BAD_DATA_CONNECTION
Definition: IIODataManager.h:40

enum Gaudi::IDataConnection::IoType

I/O Connection types.

Enumerator
READ |
UPDATE |
CREATE |
RECREATE |

Definition at line 38 of file IIODataManager.h.

38 { READ=1<<1,UPDATE=1<<2,CREATE=1<<3,RECREATE=(1<<4)+(1<<3) };
Gaudi::IDataConnection::RECREATE
Definition: IIODataManager.h:38
Gaudi::IDataConnection::READ
Definition: IIODataManager.h:38
Gaudi::IDataConnection::UPDATE
Definition: IIODataManager.h:38
Gaudi::IDataConnection::CREATE
Definition: IIODataManager.h:38

## Constructor & Destructor Documentation

Gaudi::IDataConnection::IDataConnection | ( | const IInterface * | own,
|  | std::string | nam
| ) |  |
| inline

Standard constructor.

Definition at line 43 of file IIODataManager.h.

44 : m_name(std::move(nam)), m_owner(own) {}
Gaudi::IDataConnection::m_owner
const IInterface * m_owner
Owner pointer.
Definition: IIODataManager.h:35
Gaudi::IDataConnection::m_name
std::string m_name
Connection name/identifier.
Definition: IIODataManager.h:27
std::move
T move(T...args)

virtual Gaudi::IDataConnection::~IDataConnection | ( |  | ) |
| virtual default

Standard destructor.

## Member Function Documentation

int Gaudi::IDataConnection::age | ( |  | ) | const
| inline

Access age counter.

Definition at line 62 of file IIODataManager.h.

62 { return m_age; }
Gaudi::IDataConnection::m_age
int m_age
Age counter.
Definition: IIODataManager.h:33

int Gaudi::IDataConnection::ageFile | ( |  | ) |
| inline

Increase age of I/O source.

Definition at line 58 of file IIODataManager.h.

58 { return ++m_age; }
Gaudi::IDataConnection::m_age
int m_age
Age counter.
Definition: IIODataManager.h:33

virtual StatusCode Gaudi::IDataConnection::connectRead | ( |  | ) |
| pure virtual

Open data stream in read mode.

Implemented in Gaudi::RootDataConnection.

virtual StatusCode Gaudi::IDataConnection::connectWrite | ( | IoType | type | ) |
| pure virtual

Open data stream in write mode.

Implemented in Gaudi::RootDataConnection.

virtual StatusCode Gaudi::IDataConnection::disconnect | ( |  | ) |
| pure virtual

Release data stream.

Implemented in Gaudi::RootDataConnection.

const std::string& Gaudi::IDataConnection::fid | ( |  | ) | const
| inline

Access file id.

Definition at line 52 of file IIODataManager.h.

52 { return m_fid; }
Gaudi::IDataConnection::m_fid
std::string m_fid
File ID of the connection.
Definition: IIODataManager.h:29

virtual bool Gaudi::IDataConnection::isConnected | ( |  | ) | const
| pure virtual

Check if connected to data source.

Implemented in Gaudi::RootDataConnection.

const std::string& Gaudi::IDataConnection::name | ( |  | ) | const
| inline

Connection name.

Definition at line 48 of file IIODataManager.h.

48 { return m_name; }
Gaudi::IDataConnection::m_name
std::string m_name
Connection name/identifier.
Definition: IIODataManager.h:27

const IInterface* Gaudi::IDataConnection::owner | ( |  | ) | const
| inline

Owner instance.

Definition at line 64 of file IIODataManager.h.

64 { return m_owner; }
Gaudi::IDataConnection::m_owner
const IInterface * m_owner
Owner pointer.
Definition: IIODataManager.h:35

const std::string& Gaudi::IDataConnection::pfn | ( |  | ) | const
| inline

Access physical file name.

Definition at line 54 of file IIODataManager.h.

54 { return m_pfn; }
Gaudi::IDataConnection::m_pfn
std::string m_pfn
Physical file name of the connection.
Definition: IIODataManager.h:31

virtual StatusCode Gaudi::IDataConnection::read | ( | void *const | data,
|  | size_t | len
| ) |  |
| pure virtual

Read raw byte buffer from input stream.

Implemented in Gaudi::RootDataConnection.

void Gaudi::IDataConnection::resetAge | ( |  | ) |
| inline

Reset age.

Definition at line 60 of file IIODataManager.h.

60 { m_age = 0; }
Gaudi::IDataConnection::m_age
int m_age
Age counter.
Definition: IIODataManager.h:33

virtual long long int Gaudi::IDataConnection::seek | ( | long long int | where,
|  | int | origin
| ) |  |
| pure virtual

Seek on the file described by ioDesc. Arguments as in ::seek()

Implemented in Gaudi::RootDataConnection.

void Gaudi::IDataConnection::setFID | ( | std::string | fid | ) |
| inline

Set file ID.

Definition at line 50 of file IIODataManager.h.

50 { m_fid = std::move(fid); }
Gaudi::IDataConnection::m_fid
std::string m_fid
File ID of the connection.
Definition: IIODataManager.h:29
std::move
T move(T...args)

void Gaudi::IDataConnection::setPFN | ( | std::string | fn | ) |
| inline

Set physical file name.

Definition at line 56 of file IIODataManager.h.

56 { m_pfn = std::move(fn); }
Gaudi::IDataConnection::m_pfn
std::string m_pfn
Physical file name of the connection.
Definition: IIODataManager.h:31
std::move
T move(T...args)

virtual StatusCode Gaudi::IDataConnection::write | ( | const void * | data,
|  | int | len
| ) |  |
| pure virtual

Write raw byte buffer to output stream.

Implemented in Gaudi::RootDataConnection.

## Member Data Documentation

int Gaudi::IDataConnection::m_age = 0
| protected

Age counter.

Definition at line 33 of file IIODataManager.h.

std::string Gaudi::IDataConnection::m_fid
| protected

File ID of the connection.

Definition at line 29 of file IIODataManager.h.

std::string Gaudi::IDataConnection::m_name
| protected

Connection name/identifier.

Definition at line 27 of file IIODataManager.h.

const IInterface* Gaudi::IDataConnection::m_owner = nullptr
| protected

Owner pointer.

Definition at line 35 of file IIODataManager.h.

std::string Gaudi::IDataConnection::m_pfn
| protected

Physical file name of the connection.

Definition at line 31 of file IIODataManager.h.

The documentation for this class was generated from the following file:

- GaudiUtils/GaudiUtils/IIODataManager.h